/*
 * Simple X11 graphics resource manager
 * Header file
 *
 * $Id$
 */

#ifndef XGRAPHICS_H
#define XGRAPHICS_H

#include "xutil.h"


typedef int image_id;

class xgraphics {
  xconnection *conn;			// [R]
public:
  xgraphics(xconnection *conn, resource_manager *man);
  ~xgraphics();

  Pixmap get_image(image_id id);
};


#endif // XGRAPHICS_H
